Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416513 - 4.10.0-0.rc5.git1.1.fc26.armv7hl RPi3 OOPSes
Summary: 4.10.0-0.rc5.git1.1.fc26.armv7hl RPi3 OOPSes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: armv7l
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-25 16:38 UTC by Tomasz Kłoczko
Modified: 2019-01-09 12:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 19:35:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomasz Kłoczko 2017-01-25 16:38:54 UTC
$ dmesg
[    0.000000] Booting Linux on physical CPU 0x0
[    0.000000] Linux version 4.10.0-0.rc5.git1.1.fc26.armv7hl (mockbuild@arm04-builder03.arm.fedoraproject.org) (gcc version 6.3.1 20170118 (Red Hat 6.3.1-2) (GCC) ) #1 SMP Tue Jan 24 17:07:26 UTC 2017
[    0.000000] CPU: ARMv7 Processor [410fd034] revision 4 (ARMv7), cr=10c5383d
[    0.000000] CPU: div instructions available: patching division code
[    0.000000] CPU: PIPT / VIPT nonaliasing data cache, VIPT aliasing instruction cache
[    0.000000] OF: fdt:Machine model: Raspberry Pi 3 Model B
[    0.000000] efi: Getting EFI parameters from FDT:
[    0.000000] efi: UEFI not found.
[    0.000000] cma: Reserved 64 MiB at 0x3a000000
[    0.000000] Memory policy: Data cache writealloc
[    0.000000] On node 0 totalpages: 253952
[    0.000000] free_area_init_node: node 0, pgdat c1002d00, node_mem_map ef741000
[    0.000000]   Normal zone: 1728 pages used for memmap
[    0.000000]   Normal zone: 0 pages reserved
[    0.000000]   Normal zone: 196608 pages, LIFO batch:31
[    0.000000]   HighMem zone: 57344 pages, LIFO batch:15
[    0.000000] percpu: Embedded 16 pages/cpu @ef6f4000 s33256 r8192 d24088 u65536
[    0.000000] pcpu-alloc: s33256 r8192 d24088 u65536 alloc=16*4096
[    0.000000] pcpu-alloc: [0] 0 [0] 1 [0] 2 [0] 3 
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 252224
[    0.000000] Kernel command line: audit=0 selinux=0 ro root=UUID=c7926d41-a3b2-4efa-8e08-7a95d6a52761 LANG=en_US.UTF-8
[    0.000000] audit: disabled (until reboot)
[    0.000000] PID hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[    0.000000] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[    0.000000] Memory: 899488K/1015808K available (8235K kernel code, 1224K rwdata, 3488K rodata, 1272K init, 9300K bss, 50784K reserved, 65536K cma-reserved, 163840K highmem)
[    0.000000] Virtual kernel memory layout:
                   vector  : 0xffff0000 - 0xffff1000   (   4 kB)
                   fixmap  : 0xffc00000 - 0xfff00000   (3072 kB)
                   vmalloc : 0xf0800000 - 0xff800000   ( 240 MB)
                   lowmem  : 0xc0000000 - 0xf0000000   ( 768 MB)
                   pkmap   : 0xbfe00000 - 0xc0000000   (   2 MB)
                   modules : 0xbf000000 - 0xbfe00000   (  14 MB)
                     .text : 0xc0208000 - 0xc0a12ec0   (8236 kB)
                     .init : 0xc0db6000 - 0xc0ef4000   (1272 kB)
                     .data : 0xc0ef4000 - 0xc1026364   (1225 kB)
                      .bss : 0xc1026364 - 0xc193b390   (9301 kB)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=4, Nodes=1
[    0.000000] Running RCU self tests
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	RCU lockdep checking is enabled.
[    0.000000] 	Build-time adjustment of leaf fanout to 32.
[    0.000000] 	RCU restricting CPUs from NR_CPUS=32 to nr_cpu_ids=4.
[    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=32, nr_cpu_ids=4
[    0.000000] kmemleak: Kernel memory leak detector disabled
[    0.000000] NR_IRQS:16 nr_irqs:16 16
[    0.000015] sched_clock: 32 bits at 1000kHz, resolution 1000ns, wraps every 2147483647500ns
[    0.000046] clocksource: timer: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 1911260446275 ns
[    0.000329] bcm2835: system timer (irq = 33)
[    0.002506] arm_arch_timer: WARNING: Invalid trigger for IRQ16, assuming level low
[    0.002519] arm_arch_timer: WARNING: Please fix your firmware
[    0.002540] arm_arch_timer: WARNING: Invalid trigger for IRQ17, assuming level low
[    0.002551] arm_arch_timer: WARNING: Please fix your firmware
[    0.002755] arm_arch_timer: Architected cp15 timer(s) running at 19.20MHz (phys).
[    0.002780] clocksource: arch_sys_counter: mask: 0xffffffffffffff max_cycles: 0x46d987e47, max_idle_ns: 440795202767 ns
[    0.002805] sched_clock: 56 bits at 19MHz, resolution 52ns, wraps every 4398046511078ns
[    0.002824] Switching to timer-based delay loop, resolution 52ns
[    0.004521] Console: colour dummy device 80x30
[    0.010765] console [tty0] enabled
[    0.010988] Lock dependency validator: Copyright (c) 2006 Red Hat, Inc., Ingo Molnar
[    0.011071] ... MAX_LOCKDEP_SUBCLASSES:  8
[    0.011118] ... MAX_LOCK_DEPTH:          48
[    0.011166] ... MAX_LOCKDEP_KEYS:        8191
[    0.011215] ... CLASSHASH_SIZE:          4096
[    0.011264] ... MAX_LOCKDEP_ENTRIES:     32768
[    0.011313] ... MAX_LOCKDEP_CHAINS:      65536
[    0.011362] ... CHAINHASH_SIZE:          32768
[    0.011433]  memory used by lock dependency info: 5167 kB
[    0.011489]  per task-struct memory footprint: 1536 bytes
[    0.014392] Calibrating delay loop (skipped), value calculated using timer frequency.. 38.40 BogoMIPS (lpj=19200)
[    0.014522] pid_max: default: 32768 minimum: 301
[    0.015602] Security Framework initialized
[    0.015659] Yama: becoming mindful.
[    0.015829] SELinux:  Disabled at boot.
[    0.016363] Mount-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.016466] Mountpoint-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.024036] CPU: Testing write buffer coherency: ok
[    0.024235] ftrace: allocating 31218 entries in 61 pages
[    0.122985] CPU0: thread -1, cpu 0, socket 0, mpidr 80000000
[    0.124934] Setting up static identity map for 0x208280 - 0x208318
[    0.135832] EFI services will not be available.
[    0.137791] smp: Bringing up secondary CPUs ...
[    0.142323] arm_arch_timer: WARNING: Invalid trigger for IRQ16, assuming level low
[    0.142329] arm_arch_timer: WARNING: Please fix your firmware
[    0.142343] arm_arch_timer: WARNING: Invalid trigger for IRQ17, assuming level low
[    0.142347] arm_arch_timer: WARNING: Please fix your firmware
[    0.142372] CPU1: thread -1, cpu 1, socket 0, mpidr 80000001
[    0.146409] arm_arch_timer: WARNING: Invalid trigger for IRQ16, assuming level low
[    0.146415] arm_arch_timer: WARNING: Please fix your firmware
[    0.146424] arm_arch_timer: WARNING: Invalid trigger for IRQ17, assuming level low
[    0.146428] arm_arch_timer: WARNING: Please fix your firmware
[    0.146447] CPU2: thread -1, cpu 2, socket 0, mpidr 80000002
[    0.149717] arm_arch_timer: WARNING: Invalid trigger for IRQ16, assuming level low
[    0.149723] arm_arch_timer: WARNING: Please fix your firmware
[    0.149732] arm_arch_timer: WARNING: Invalid trigger for IRQ17, assuming level low
[    0.149736] arm_arch_timer: WARNING: Please fix your firmware
[    0.149753] CPU3: thread -1, cpu 3, socket 0, mpidr 80000003
[    0.150206] smp: Brought up 1 node, 4 CPUs
[    0.151115] SMP: Total of 4 processors activated (153.60 BogoMIPS).
[    0.151170] CPU: All CPU(s) started in HYP mode.
[    0.151217] CPU: Virtualization extensions available.
[    0.157737] devtmpfs: initialized
[    0.190307] VFP support v0.3: implementor 41 architecture 3 part 40 variant 3 rev 4
[    0.201313] DMA-API: preallocated 4096 debug entries
[    0.201378] DMA-API: debugging enabled by kernel config
[    0.216779] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 1911260446275000 ns
[    0.221638] atomic64_test: passed
[    0.221991] pinctrl core: initialized pinctrl subsystem
[    0.229800] NET: Registered protocol family 16
[    0.234783] DMA: preallocated 256 KiB pool for atomic coherent allocations
[    0.259006] cpuidle: using governor menu
[    0.259954] No ATAGs?
[    0.260514] hw-breakpoint: found 5 (+1 reserved) breakpoint and 4 watchpoint registers.
[    0.260627] hw-breakpoint: maximum watchpoint size is 8 bytes.
[    0.263161] Serial: AMBA PL011 UART driver
[    0.362258] vgaarb: loaded
[    0.365443] SCSI subsystem initialized
[    0.366345] libata version 3.00 loaded.
[    0.367752] usbcore: registered new interface driver usbfs
[    0.368073] usbcore: registered new interface driver hub
[    0.368617] usbcore: registered new device driver usb
[    0.376861] NetLabel: Initializing
[    0.376917] NetLabel:  domain hash size = 128
[    0.376962] NetLabel:  protocols = UNLABELED CIPSOv4 CALIPSO
[    0.377404] NetLabel:  unlabeled traffic allowed by default
[    0.379098] clocksource: Switched to clocksource arch_sys_counter
[    0.709913] VFS: Disk quotas dquot_6.6.0
[    0.710298] VFS: Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[    0.712651] simple-framebuffer 3e688000.framebuffer: framebuffer at 0x3e688000, 0x36c600 bytes, mapped to 0xf0880000
[    0.712752] simple-framebuffer 3e688000.framebuffer: format=r5g6b5, mode=1824x984x16, linelength=3648
[    0.745176] Console: switching to colour frame buffer device 228x61
[    0.771279] simple-framebuffer 3e688000.framebuffer: fb0: simplefb registered!
[    0.828908] NET: Registered protocol family 2
[    0.834026] TCP established hash table entries: 8192 (order: 3, 32768 bytes)
[    0.834666] TCP bind hash table entries: 8192 (order: 6, 294912 bytes)
[    0.839253] TCP: Hash tables configured (established 8192 bind 8192)
[    0.839736] UDP hash table entries: 512 (order: 3, 40960 bytes)
[    0.840569] UDP-Lite hash table entries: 512 (order: 3, 40960 bytes)
[    0.842764] NET: Registered protocol family 1
[    0.842984] PCI: CLS 0 bytes, default 64
[    0.845685] Unpacking initramfs...
[    3.354330] Freeing initrd memory: 16952K
[    3.357935] cryptomgr_test (51) used greatest stack depth: 6876 bytes left
[    3.358190] cryptomgr_test (50) used greatest stack depth: 6428 bytes left
[    3.381250] modprobe (56) used greatest stack depth: 6100 bytes left
[    3.401179] modprobe (57) used greatest stack depth: 6060 bytes left
[    3.404731] cryptomgr_test (54) used greatest stack depth: 5732 bytes left
[    3.443908] cryptomgr_test (60) used greatest stack depth: 5676 bytes left
[    3.481584] cryptomgr_test (65) used greatest stack depth: 5572 bytes left
[    3.490603] cryptomgr_test (77) used greatest stack depth: 5396 bytes left
[    3.500619] futex hash table entries: 1024 (order: 4, 65536 bytes)
[    3.504606] Initialise system trusted keyrings
[    3.507162] workingset: timestamp_bits=14 max_order=18 bucket_order=4
[    3.561944] zbud: loaded
[    4.171396] NET: Registered protocol family 38
[    4.171869] Key type asymmetric registered
[    4.172205] Asymmetric key parser 'x509' registered
[    4.172618] bounce: pool size: 64 pages
[    4.179754] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 250)
[    4.186541] io scheduler noop registered
[    4.192425] io scheduler deadline registered
[    4.200564] io scheduler cfq registered (default)
[    4.206396] start plist test
[    4.222341] end plist test
[    4.271348] Serial: 8250/16550 driver, 32 ports, IRQ sharing enabled
[    4.336392] 3f215040.serial: ttyS0 at MMIO 0x0 (irq = 59, base_baud = 31224999) is a 16550
[    4.346325] Serial: AMBA driver
[    4.354470] msm_serial: driver initialized
[    4.371526] libphy: Fixed MDIO Bus: probed
[    4.378966] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    4.384912] ehci-pci: EHCI PCI platform driver
[    4.390938] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    4.396837] ohci-pci: OHCI PCI platform driver
[    4.402869] uhci_hcd: USB Universal Host Controller Interface driver
[    4.409879] usbcore: registered new interface driver usbserial
[    4.415967] usbcore: registered new interface driver usbserial_generic
[    4.422593] usbserial: USB Serial support registered for generic
[    4.429958] mousedev: PS/2 mouse device common for all mice
[    4.445645] device-mapper: uevent: version 1.0.3
[    4.454462] device-mapper: ioctl: 4.35.0-ioctl (2016-06-23) initialised: dm-devel@redhat.com
[    4.463799] ledtrig-cpu: registered to indicate activity on CPUs
[    4.471133] hidraw: raw HID events driver (C) Jiri Kosina
[    4.478422] usbcore: registered new interface driver usbhid
[    4.484611] usbhid: USB HID core driver
[    4.492739] bcm2835-mbox 3f00b880.mailbox: mailbox enabled
[    4.501269] drop_monitor: Initializing network drop monitor service
[    4.508620] ip_tables: (C) 2000-2006 Netfilter Core Team
[    4.516479] Initializing XFRM netlink socket
[    4.526452] NET: Registered protocol family 10
[    4.575474] Segment Routing with IPv6
[    4.581549] mip6: Mobile IPv6
[    4.587507] NET: Registered protocol family 17
[    4.593551] Registering SWP/SWPB emulation handler
[    4.603348] registered taskstats version 1
[    4.609184] Loading compiled-in X.509 certificates
[    4.651307] alg: No test for pkcs1pad(rsa,sha256) (pkcs1pad(rsa-generic,sha256))
[    4.667973] Loaded X.509 cert 'Fedora kernel signing key: e771c4af0e0456c5fc2e6c9d207f1e1c3dc10252'
[    4.675243] zswap: loaded using pool lzo/zbud
[    4.819663] Key type big_key registered
[    4.863094] Key type encrypted registered
[    4.898269] 3f201000.serial: ttyAMA0 at MMIO 0x3f201000 (irq = 87, base_baud = 0) is a PL011 rev2
[    4.912248] raspberrypi-firmware soc:firmware: Attached to firmware from 2016-10-20 14:58
[    4.921505] hctosys: unable to open rtc device (rtc0)
[    4.928337] sr_init: No PMIC hook to init smartreflex
[    4.934745] sr_init: platform driver register failed for SR
[    4.942237] PM: Hibernation image not present or could not be loaded.
[    4.949968] Freeing unused kernel memory: 1272K
[    4.956171] This architecture does not have kernel memory protection.
[    5.036275] systemd[1]: System time before build time, advancing clock.
[    5.107281] random: systemd: uninitialized urandom read (16 bytes read)
[    5.122559] random: systemd: uninitialized urandom read (16 bytes read)
[    5.244871] systemd[1]: systemd 232 running in system mode. (+PAM +AUDIT +SELINUX +IMA -APPARMOR +SMACK +SYSVINIT +UTMP +LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL +XZ +LZ4 +SECCOMP +BLKID +ELFUTILS +KMOD +IDN)
[    5.254748] systemd[1]: Detected architecture arm.
[    5.261464] systemd[1]: Running in initial RAM disk.
[    5.344570] systemd[1]: Set hostname to <pi3>.
[    6.082352] random: systemd: uninitialized urandom read (16 bytes read)
[    6.089611] random: systemd: uninitialized urandom read (16 bytes read)
[    6.096953] random: systemd: uninitialized urandom read (16 bytes read)
[    6.121309] random: systemd: uninitialized urandom read (16 bytes read)
[    6.130232] random: systemd: uninitialized urandom read (16 bytes read)
[    6.142586] random: systemd: uninitialized urandom read (16 bytes read)
[    6.149374] random: systemd: uninitialized urandom read (16 bytes read)
[    6.158304] random: systemd: uninitialized urandom read (16 bytes read)
[    6.216963] systemd[1]: Reached target Local File Systems.
[    6.250492] systemd[1]: Listening on Journal Socket (/dev/log).
[    6.281930] systemd[1]: Reached target Swap.
[    6.313852] systemd[1]: Listening on Journal Socket.
[    6.363620] systemd[1]: Listening on udev Kernel Socket.
[    6.416487] systemd[1]: Created slice System Slice.
[    9.752326] i2c-bcm2835 3f805000.i2c: Could not read clock-frequency property
[    9.837839] sdhci: Secure Digital Host Controller Interface driver
[    9.844318] sdhci: Copyright(c) Pierre Ossman
[    9.863905] sdhci-pltfm: SDHCI platform and OF driver helper
[    9.932170] mmc0: SDHCI controller on 3f300000.sdhci [3f300000.sdhci] using PIO
[    9.985665] mmc0: new high speed SDHC card at address 1234
[   10.205544] mmcblk0: mmc0:1234 SA08G 7.21 GiB 
[   10.238857]  mmcblk0: p1 p2 p3 p4
[   10.473223] random: fast init done
[   11.061858] systemd-udevd (290) used greatest stack depth: 4900 bytes left
[   11.819752] SGI XFS with ACLs, security attributes, no debug enabled
[   11.884315] XFS (mmcblk0p4): Mounting V5 Filesystem
[   25.240819] XFS (mmcblk0p4): Ending clean mount
[   25.254935] mount (320) used greatest stack depth: 4780 bytes left
[   28.738261] systemd-journald[176]: Received SIGTERM from PID 1 (systemd).
[   29.320928] systemd: 10 output lines suppressed due to ratelimiting
[   29.991903] systemd[1]: RTC configured in localtime, applying delta of 0 minutes to system time.
[   30.267877] systemd-rc-loca (411) used greatest stack depth: 4684 bytes left
[   30.612126] selinux-autorel (407) used greatest stack depth: 4396 bytes left
[   31.504673] random: crng init done
[   33.013727] systemd-journald[425]: Received request to flush runtime journal from PID 1
[   33.045183] systemd-journald[425]: File /var/log/journal/edf969da1eef4027a57968827dfe6f8f/system.journal corrupted or uncleanly shut down, renaming and replacing.
[   35.194714] bcm2835-wdt 3f100000.watchdog: Broadcom BCM2835 watchdog timer
[   35.813587] [drm] Initialized
[   36.073973] bcm2835-rng 3f104000.rng: hwrng registered
[   36.097748] 3f980000.usb supply vusb_d not found, using dummy regulator
[   36.113910] 3f980000.usb supply vusb_a not found, using dummy regulator
[   36.221151] dwc2 3f980000.usb: DWC OTG Controller
[   36.253306] dwc2 3f980000.usb: new USB bus registered, assigned bus number 1
[   36.253784] dwc2 3f980000.usb: irq 39, io mem 0x00000000
[   36.268002] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[   36.268014] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[   36.268093] usb usb1: Product: DWC OTG Controller
[   36.268102] usb usb1: Manufacturer: Linux 4.10.0-0.rc5.git1.1.fc26.armv7hl dwc2_hsotg
[   36.268110] usb usb1: SerialNumber: 3f980000.usb
[   36.291986] hub 1-0:1.0: USB hub found
[   36.294199] hub 1-0:1.0: 1 port detected
[   36.350743] vc4-drm soc:gpu: bound 3f902000.hdmi (ops vc4_hdmi_ops [vc4])
[   36.351609] vc4-drm soc:gpu: bound 3f806000.vec (ops vc4_vec_ops [vc4])
[   36.351771] vc4-drm soc:gpu: bound 3f400000.hvs (ops vc4_hvs_ops [vc4])
[   36.352735] vc4-drm soc:gpu: bound 3f206000.pixelvalve (ops vc4_crtc_ops [vc4])
[   36.353350] vc4-drm soc:gpu: bound 3f207000.pixelvalve (ops vc4_crtc_ops [vc4])
[   36.353904] vc4-drm soc:gpu: bound 3f807000.pixelvalve (ops vc4_crtc_ops [vc4])
[   36.354524] vc4-drm soc:gpu: bound 3fc00000.v3d (ops vc4_v3d_ops [vc4])
[   36.363021] checking generic (3e688000 36c600) vs hw (0 ffffffff)
[   36.363196] fb: switching to vc4drmfb from simple
[   36.409777] Adding 499708k swap on /dev/mmcblk0p3.  Priority:-1 extents:1 across:499708k SSFS
[   36.433663] Console: switching to colour dummy device 80x30
[   36.478883] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[   36.478960] [drm] Driver supports precise vblank timestamp query.
[   36.573957] Console: switching to colour frame buffer device 240x67
[   36.628793] vc4-drm soc:gpu: fb0:  frame buffer device
[   36.642188] ------------[ cut here ]------------
[   36.642585] WARNING: CPU: 2 PID: 448 at ./include/drm/drm_crtc.h:857 drm_kms_helper_poll_enable+0x50/0xd0 [drm_kms_helper]
[   36.643145] Modules linked in: vc4(+) drm_kms_helper drm dwc2 fb_sys_fops syscopyarea sysfillrect udc_core sysimgblt bcm2835_rng bcm2835_wdt bcm2835_dma leds_gpio xfs libcrc32c crc32_arm_ce mmc_block sdhci_iproc sdhci_pltfm sdhci mmc_core pwm_bcm2835 i2c_bcm2835
[   36.644425] CPU: 2 PID: 448 Comm: systemd-udevd Not tainted 4.10.0-0.rc5.git1.1.fc26.armv7hl #1
[   36.644801] Hardware name: Generic DT based system
[   36.645053] [<c021a3d0>] (unwind_backtrace) from [<c0214c9c>] (show_stack+0x18/0x1c)
[   36.645401] [<c0214c9c>] (show_stack) from [<c05be1a4>] (dump_stack+0x9c/0xd0)
[   36.645729] [<c05be1a4>] (dump_stack) from [<c0258e6c>] (__warn+0xe4/0x104)
[   36.646049] [<c0258e6c>] (__warn) from [<c0258f48>] (warn_slowpath_null+0x24/0x2c)
[   36.646526] [<c0258f48>] (warn_slowpath_null) from [<bf3205dc>] (drm_kms_helper_poll_enable+0x50/0xd0 [drm_kms_helper])
[   36.647294] [<bf3205dc>] (drm_kms_helper_poll_enable [drm_kms_helper]) from [<bf356084>] (vc4_kms_load+0xe8/0x104 [vc4])
[   36.647903] [<bf356084>] (vc4_kms_load [vc4]) from [<bf355380>] (vc4_drm_bind+0xe4/0x128 [vc4])
[   36.648365] [<bf355380>] (vc4_drm_bind [vc4]) from [<c0708c34>] (try_to_bring_up_master+0x144/0x24c)
[   36.648765] [<c0708c34>] (try_to_bring_up_master) from [<c0708fb0>] (component_master_add_with_match+0xa0/0xd0)
[   36.649273] [<c0708fb0>] (component_master_add_with_match) from [<bf355438>] (vc4_platform_drm_probe+0x74/0xb0 [vc4])
[   36.649806] [<bf355438>] (vc4_platform_drm_probe [vc4]) from [<c0710f00>] (platform_drv_probe+0x58/0xa4)
[   36.650224] [<c0710f00>] (platform_drv_probe) from [<c070e914>] (driver_probe_device+0x1f0/0x404)
[   36.650609] [<c070e914>] (driver_probe_device) from [<c070ebb8>] (__driver_attach+0x90/0x100)
[   36.650981] [<c070ebb8>] (__driver_attach) from [<c070caa4>] (bus_for_each_dev+0x84/0x94)
[   36.651339] [<c070caa4>] (bus_for_each_dev) from [<c070dd9c>] (bus_add_driver+0x180/0x234)
[   36.651699] [<c070dd9c>] (bus_add_driver) from [<c070fdcc>] (driver_register+0xa8/0xe8)
[   36.652053] [<c070fdcc>] (driver_register) from [<c0209de8>] (do_one_initcall+0x130/0x158)
[   36.652430] [<c0209de8>] (do_one_initcall) from [<c0397dec>] (do_init_module+0x60/0x1dc)
[   36.652796] [<c0397dec>] (do_init_module) from [<c0308d24>] (load_module+0x1d00/0x23fc)
[   36.653161] [<c0308d24>] (load_module) from [<c0309644>] (SyS_finit_module+0x94/0xc0)
[   36.653523] [<c0309644>] (SyS_finit_module) from [<c020ff88>] (__sys_trace_return+0x0/0x10)
[   36.654075] ---[ end trace 8087570bc5dc4e9d ]---
[   36.709359] usb 1-1: new high-speed USB device number 2 using dwc2
[   36.903751] usb 1-1: New USB device found, idVendor=0424, idProduct=9514
[   36.904113] usb 1-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[   36.918466] hub 1-1:1.0: USB hub found
[   36.921153] hub 1-1:1.0: 5 ports detected
[   37.232226] usb 1-1.1: new high-speed USB device number 3 using dwc2
[   37.340558] usb 1-1.1: New USB device found, idVendor=0424, idProduct=ec00
[   37.356414] usb 1-1.1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[   37.472843] usb 1-1.5: new low-speed USB device number 4 using dwc2
[   37.535160] smsc95xx v1.0.5
[   37.580745] usb 1-1.5: New USB device found, idVendor=413c, idProduct=2003
[   37.595784] usb 1-1.5: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[   37.610741] usb 1-1.5: Product: Dell USB Keyboard
[   37.625572] usb 1-1.5: Manufacturer: Dell
[   37.650979] smsc95xx 1-1.1:1.0 eth0: register 'smsc95xx' at usb-3f980000.usb-1.1, smsc95xx USB 2.0 Ethernet, b8:27:eb:e9:2e:56
[   37.673747] usbcore: registered new interface driver smsc95xx
[   37.681326] input: Dell Dell USB Keyboard as /devices/platform/soc/3f980000.usb/usb1/1-1/1-1.5/1-1.5:1.0/0003:413C:2003.0001/input/input0
[   37.756980] hid-generic 0003:413C:2003.0001: input,hidraw0: USB HID v1.10 Keyboard [Dell Dell USB Keyboard] on usb-3f980000.usb-1.5/input0
[   38.521658] EXT4-fs (mmcblk0p2): mounted filesystem with ordered data mode. Opts: (null)
[   48.911649] ip6_tables: (C) 2000-2006 Netfilter Core Team
[   49.365904] Ebtables v2.0 registered
[   50.025164] ipmi message handler version 39.2
[   50.051414] nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
[   50.081643] ipmi device interface
[   50.445986] IPMI System Interface driver.
[   50.469493] ipmi_si: Unable to find any System Interface(s)
[   50.563827] plymouthd (296) used greatest stack depth: 4364 bytes left
[   50.979519] ------------[ cut here ]------------
[   50.990586] WARNING: CPU: 2 PID: 544 at lib/dma-debug.c:612 debug_dma_assert_idle+0x148/0x1e0
[   51.006684] vc4-drm soc:gpu: DMA-API: cpu touching an active dma mapped cacheline [cln=0x00c56dc0]
[   51.018623] Modules linked in: ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack ipmi_msghandler iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables smsc95xx usbnet mii vc4 drm_kms_helper drm dwc2 fb_sys_fops syscopyarea sysfillrect udc_core sysimgblt bcm2835_rng bcm2835_wdt bcm2835_dma leds_gpio xfs libcrc32c crc32_arm_ce mmc_block sdhci_iproc sdhci_pltfm sdhci mmc_core pwm_bcm2835 i2c_bcm2835 [last unloaded: ipmi_devintf]
[   51.056446] CPU: 2 PID: 544 Comm: firewalld Tainted: G        W       4.10.0-0.rc5.git1.1.fc26.armv7hl #1
[   51.059255] ------------[ cut here ]------------
[   51.059284] WARNING: CPU: 1 PID: 1 at lib/dma-debug.c:612 debug_dma_assert_idle+0x148/0x1e0
[   51.059294] dwc2 3f980000.usb: DMA-API: cpu touching an active dma mapped cacheline [cln=0x00c77c40]
[   51.059298] Modules linked in: ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack ipmi_msghandler iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables smsc95xx usbnet mii vc4 drm_kms_helper drm dwc2 fb_sys_fops syscopyarea sysfillrect udc_core sysimgblt bcm2835_rng bcm2835_wdt bcm2835_dma leds_gpio xfs libcrc32c crc32_arm_ce mmc_block sdhci_iproc sdhci_pltfm sdhci mmc_core pwm_bcm2835 i2c_bcm2835 [last unloaded: ipmi_devintf]
[   51.145030] Hardware name: Generic DT based system
[   51.158742] [<c021a3d0>] (unwind_backtrace) from [<c0214c9c>] (show_stack+0x18/0x1c)
[   51.172583] [<c0214c9c>] (show_stack) from [<c05be1a4>] (dump_stack+0x9c/0xd0)
[   51.186542] [<c05be1a4>] (dump_stack) from [<c0258e6c>] (__warn+0xe4/0x104)
[   51.200494] [<c0258e6c>] (__warn) from [<c0258ec8>] (warn_slowpath_fmt+0x3c/0x4c)
[   51.214572] [<c0258ec8>] (warn_slowpath_fmt) from [<c05ee1a0>] (debug_dma_assert_idle+0x148/0x1e0)
[   51.228849] [<c05ee1a0>] (debug_dma_assert_idle) from [<c03d3d7c>] (wp_page_copy+0xfc/0x644)
[   51.243294] [<c03d3d7c>] (wp_page_copy) from [<c03d57e4>] (do_wp_page+0x3a4/0x5ac)
[   51.257780] [<c03d57e4>] (do_wp_page) from [<c03d8a38>] (handle_mm_fault+0xd78/0xe3c)
[   51.272725] [<c03d8a38>] (handle_mm_fault) from [<c0a115dc>] (do_page_fault+0x240/0x3b4)
[   51.287519] [<c0a115dc>] (do_page_fault) from [<c0209350>] (do_DataAbort+0x40/0xc0)
[   51.302318] [<c0209350>] (do_DataAbort) from [<c0a10ee0>] (__dabt_usr+0x40/0x60)
[   51.317158] Exception stack(0xc3053fb0 to 0xc3053ff8)
[   51.331995] 3fa0:                                     be8c731c 00000006 100c1400 b5d5bb38
[   51.347116] 3fc0: b51c8230 b5cb4b40 b6e6a3f4 b6e6c5f0 80827bc8 b6e6a3f4 b51c8230 b6e6c5f0
[   51.362314] 3fe0: b6e6b41c be8c7310 b6d6bb7c b6cf1fc8 000d0010 ffffffff
[   51.377528] CPU: 1 PID: 1 Comm: systemd Tainted: G        W       4.10.0-0.rc5.git1.1.fc26.armv7hl #1
[   51.377792] ---[ end trace 8087570bc5dc4e9e ]---
[   51.377796] Mapped at:
[   51.377800]  
[   51.377947] [<bf32e090>] drm_fbdev_cma_create_with_funcs+0x9c/0x2a0 [drm_kms_helper]
[   51.377950]  
[   51.378074] [<bf32d67c>] drm_fb_helper_initial_config+0x178/0x38c [drm_kms_helper]
[   51.378078]  
[   51.378199] [<bf32e388>] drm_fbdev_cma_init_with_funcs+0xb4/0xf4 [drm_kms_helper]
[   51.378260]  
[   51.378384] [<bf32e3e0>] drm_fbdev_cma_init+0x18/0x24 [drm_kms_helper]
[   51.378387]  
[   51.378456] [<bf35606c>] vc4_kms_load+0xd0/0x104 [vc4]
[   51.579705] Hardware name: Generic DT based system
[   51.595888] [<c021a3d0>] (unwind_backtrace) from [<c0214c9c>] (show_stack+0x18/0x1c)
[   51.612073] [<c0214c9c>] (show_stack) from [<c05be1a4>] (dump_stack+0x9c/0xd0)
[   51.628315] [<c05be1a4>] (dump_stack) from [<c0258e6c>] (__warn+0xe4/0x104)
[   51.644583] [<c0258e6c>] (__warn) from [<c0258ec8>] (warn_slowpath_fmt+0x3c/0x4c)
[   51.660956] [<c0258ec8>] (warn_slowpath_fmt) from [<c05ee1a0>] (debug_dma_assert_idle+0x148/0x1e0)
[   51.677558] [<c05ee1a0>] (debug_dma_assert_idle) from [<c03d3d7c>] (wp_page_copy+0xfc/0x644)
[   51.694229] [<c03d3d7c>] (wp_page_copy) from [<c03d57e4>] (do_wp_page+0x3a4/0x5ac)
[   51.711000] [<c03d57e4>] (do_wp_page) from [<c03d8a38>] (handle_mm_fault+0xd78/0xe3c)
[   51.727916] [<c03d8a38>] (handle_mm_fault) from [<c0a115dc>] (do_page_fault+0x240/0x3b4)
[   51.744988] [<c0a115dc>] (do_page_fault) from [<c0209350>] (do_DataAbort+0x40/0xc0)
[   51.762173] [<c0209350>] (do_DataAbort) from [<c0a10ee0>] (__dabt_usr+0x40/0x60)
[   51.779413] Exception stack(0xef111fb0 to 0xef111ff8)
[   51.796694] 1fa0:                                     8078b660 8075e850 7f5ff55c 00000002
[   51.814219] 1fc0: 8078b680 80766748 8075e850 bee6e8c8 bee6e8d0 b6f97c90 8078b660 8075e850
[   51.831745] 1fe0: b6f60ccc bee6e858 b6e74280 b6dfe31c 20000010 ffffffff
[   51.849395] ---[ end trace 8087570bc5dc4e9f ]---
[   51.867948] Mapped at:
[   51.886553]  
[   51.886585] [<c07b28a4>] hcd_buffer_alloc+0x80/0x12c
[   51.921826]  
[   51.921858] [<c0880570>] usbhid_start+0xd4/0x58c
[   51.957564]  
[   51.957601] [<c087592c>] hid_device_probe+0xf0/0x120
[   51.993122]  
[   51.993158] [<c070e914>] driver_probe_device+0x1f0/0x404
[   52.028366]  
[   52.028401] [<c070cb5c>] bus_for_each_drv+0x8c/0x94
[   52.236395] bridge: filtering via arp/ip/ip6tables is no longer available by default. Update your scripts to load br_netfilter if you need this.
[   52.535321] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[   52.660134] smsc95xx 1-1.1:1.0 eth0: hardware isn't capable of remote wakeup
[   52.677091] Netfilter messages via NETLINK v0.30.
[   52.792497] ip_set: protocol 6
[   54.169842] smsc95xx 1-1.1:1.0 eth0: link up, 100Mbps, full-duplex, lpa 0xCDE1

Comment 1 John Bieren 2017-01-26 08:44:16 UTC
I am seeing this problem on x86_64 hardware as well.  The traceback is slightly different, but seems to be related.  Here is an example traceback that I get:
---------------------------------<snip>------------------------------------
[   14.637465] ------------[ cut here ]------------ 
[   14.642110] WARNING: CPU: 7 PID: 718 at ./include/drm/drm_crtc.h:857 drm_kms_helper_poll_enable.part.2+0xa8/0xc0 [drm_kms_helper] 
[   14.653987] Modules linked in: ata_generic pata_acpi amdkfd 8021q garp stp llc mrp amd_iommu_v2 radeon(+) broadcom bcm_phy_lib crct10dif_pclmul i2c_algo_bit crc32_pclmul tg3 drm_kms_helper ptp ttm ghash_clmulni_intel serio_raw pps_core firewire_ohci drm pata_atiixp firewire_core crc_itu_t wmi fjes sunrpc mcryptd sha256_ssse3 dm_crypt dm_round_robin linear raid10 raid456 async_raid6_recov async_memcpy libcrc32c crc32c_intel async_pq async_xor xor async_tx raid6_pq raid1 raid0 iscsi_ibft iscsi_boot_sysfs iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi squashfs cramfs edd dm_multipath 
[   14.706303] CPU: 7 PID: 718 Comm: systemd-udevd Not tainted 4.10.0-0.rc5.git1.1.fc26.x86_64 #1 
[   14.715121] Hardware name: AMD Pike/Pike, BIOS WPK2815X_Weekly_12_08_15 08/13/2012 
[   14.722710] Call Trace: 
[   14.725172]  dump_stack+0x86/0xc3 
[   14.728501]  __warn+0xcb/0xf0 
[   14.731482]  warn_slowpath_null+0x1d/0x20 
[   14.735511]  drm_kms_helper_poll_enable.part.2+0xa8/0xc0 [drm_kms_helper] 
[   14.742317]  drm_kms_helper_poll_init+0xb6/0xc0 [drm_kms_helper] 
[   14.748599]  radeon_modeset_init+0x436/0x9f0 [radeon] 
[   14.753681]  radeon_driver_load_kms+0x120/0x210 [radeon] 
[   14.759022]  drm_dev_register+0x138/0x190 [drm] 
[   14.763574]  drm_get_pci_dev+0x9c/0x1e0 [drm] 
[   14.767945]  ? kfree+0xfa/0x2c0 
[   14.771949]  radeon_pci_probe+0xb8/0xe0 [radeon] 
[   14.777645]  local_pci_probe+0x45/0xa0 
[   14.782226]  ? pci_match_device+0xca/0x110 
[   14.787161]  pci_device_probe+0x103/0x150 
[   14.792008]  ? _raw_spin_unlock+0x27/0x40 
[   14.796854]  driver_probe_device+0x2bb/0x460 
[   14.801966]  __driver_attach+0xe3/0xf0 
[   14.806565]  ? driver_probe_device+0x460/0x460 
[   14.812057]  bus_for_each_dev+0x73/0xc0 
[   14.816726]  driver_attach+0x1e/0x20 
[   14.821137]  bus_add_driver+0x173/0x270 
[   14.825811]  driver_register+0x60/0xe0 
[   14.830395]  __pci_register_driver+0x60/0x70 
[   14.835509]  ? 0xffffffffc07f7000 
[   14.839677]  drm_pci_init+0xeb/0x100 [drm] 
[   14.844784]  ? 0xffffffffc07f7000 
[   14.848940]  radeon_init+0x98/0xb6 [radeon] 
[   14.853948]  do_one_initcall+0x52/0x1b0 
[   14.858602]  ? rcu_read_lock_sched_held+0x4a/0x80 
[   14.864125]  ? kmem_cache_alloc_trace+0x277/0x2d0 
[   14.869649]  ? do_init_module+0x27/0x1fa 
[   14.874601]  do_init_module+0x5f/0x1fa 
[   14.879182]  load_module+0x2450/0x2b80 
[   14.883761]  ? __symbol_put+0x70/0x70 
[   14.888256]  SYSC_init_module+0x19b/0x1c0 
[   14.893084]  SyS_init_module+0xe/0x10 
[   14.897553]  do_syscall_64+0x6c/0x1f0 
[   14.902019]  entry_SYSCALL64_slow_path+0x25/0x25 
[   14.907665] RIP: 0033:0x7f557762beda 
[   14.911985] RSP: 002b:00007ffefb02f818 EFLAGS: 00000246 ORIG_RAX: 00000000000000af 
[   14.920299] RAX: ffffffffffffffda RBX: 000055b94ae66c80 RCX: 00007f557762beda 
[   14.928159] RDX: 00007f5578167975 RSI: 000000000024e013 RDI: 000055b94b6f74c0 
[   14.935994] RBP: 00007f5578167975 R08: 000055b94ae66e00 R09: 0000000000000000 
[   14.944058] R10: 0000000000000000 R11: 0000000000000246 R12: 000055b94b6f74c0 
[   14.951844] R13: 000055b94ae7a830 R14: 0000000000020000 R15: 000055b94ae66c80 
[   14.959794] ---[ end trace f5219074bdfd9274 ]--- 
---------------------------------<snip>------------------------------------

Best,
Johnny Bieren

Comment 3 Tomasz Kłoczko 2017-02-07 19:35:50 UTC
Closing. Seems no longer happens.


Note You need to log in before you can comment on or make changes to this bug.